FARGO (Formative Assessment using Repertory Grid Online)
--------------------------------------------------------

A simple app to elicit personal constructs.

This application is based on Facebook's demo app called RunWithFriends, 
which can be accessed via http://apps.facebook.com/runwithfriends/.  The
source code for that application is available on github at https://github.com/facebook/runwithfriends.
To understand how to deploy FARGO you should either already be familiar with deploying
Facebook apps using Google App Engine or you should review the excellent documentation at 
http://developers.facebook.com/docs/samples/canvas/.

Getting Started

Create a Facebook Application (see http://developers.facebook.com/docs/guides/canvas/ for instructions).

In the Web Site section:

Configure the Site URL, and point it to your Web Server. If you're developing locally, you can use http://localhost:8080/
In the Facebook Integration section:

Configure the Canvas Page name, which is your application's URL on facebook.com.
Configure the Canvas URL, and point it to your webserver. If you're developing locally, you can use http://localhost:8080/. This will get used as the iframe src.
Also switch iframe Size to Auto Resize, since we'll be using the JavaScript SDK to resize our iframe.
In the Advanced section, enable these Migrations:

JSON Encoding Empty Arrays  
OAuth 2.0 for Canvas (beta)  
November 2010 Rollup  
POST for Canvas (Beta)  


Download the source code:

mkdir fargo  
cd fargo  
git clone git@github.com:cteplovs/fargo.git  

Configure the local settings for your app. Start by copying conf.py.example to conf.py, then edit the various values in the conf.py:

cp conf.py.example conf.py  
vim conf.py  

Add the application to the App Engine Launcher and start it (or start it from the command line):

dev_appserver.py .

Go to localhost:8080/admin


You will want to use that URL to set up the configuration for your instance of FARGO.  Please note that returning to the admin page will pre-load the fields with the default values and NOT your most recently saved values.  Changing that would be a great enhancement
that someone should probably work on.

Once you've changed the configuration values, you're ready to go!  Enjoy!